Update bundle
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     actioncable (5.1.4)
6       actionpack (= 5.1.4)
7       nio4r (~> 2.0)
8       websocket-driver (~> 0.6.1)
9     actionmailer (5.1.4)
10       actionpack (= 5.1.4)
11       actionview (= 5.1.4)
12       activejob (= 5.1.4)
13       mail (~> 2.5, >= 2.5.4)
14       rails-dom-testing (~> 2.0)
15     actionpack (5.1.4)
16       actionview (= 5.1.4)
17       activesupport (= 5.1.4)
18       rack (~> 2.0)
19       rack-test (>= 0.6.3)
20       rails-dom-testing (~> 2.0)
21       rails-html-sanitizer (~> 1.0, >= 1.0.2)
22     actionpack-page_caching (1.1.0)
23       actionpack (>= 4.0.0, < 6)
24     actionview (5.1.4)
25       activesupport (= 5.1.4)
26       builder (~> 3.1)
27       erubi (~> 1.4)
28       rails-dom-testing (~> 2.0)
29       rails-html-sanitizer (~> 1.0, >= 1.0.3)
30     activejob (5.1.4)
31       activesupport (= 5.1.4)
32       globalid (>= 0.3.6)
33     activemodel (5.1.4)
34       activesupport (= 5.1.4)
35     activerecord (5.1.4)
36       activemodel (= 5.1.4)
37       activesupport (= 5.1.4)
38       arel (~> 8.0)
39     activesupport (5.1.4)
40       concurrent-ruby (~> 1.0, >= 1.0.2)
41       i18n (~> 0.7)
42       minitest (~> 5.1)
43       tzinfo (~> 1.1)
44     addressable (2.5.2)
45       public_suffix (>= 2.0.2, < 4.0)
46     annotate (2.7.2)
47       activerecord (>= 3.2, < 6.0)
48       rake (>= 10.4, < 13.0)
49     arel (8.0.0)
50     ast (2.3.0)
51     autoprefixer-rails (7.1.6)
52       execjs
53     bigdecimal (1.1.0)
54     builder (3.2.3)
55     canonical-rails (0.2.1)
56       rails (>= 4.1, < 5.2)
57     capybara (2.16.1)
58       addressable
59       mini_mime (>= 0.1.3)
60       nokogiri (>= 1.3.3)
61       rack (>= 1.0.0)
62       rack-test (>= 0.5.4)
63       xpath (~> 2.0)
64     climate_control (0.2.0)
65     cliver (0.3.2)
66     cocaine (0.5.8)
67       climate_control (>= 0.0.3, < 1.0)
68     coffee-rails (4.2.2)
69       coffee-script (>= 2.2.0)
70       railties (>= 4.0.0)
71     coffee-script (2.4.1)
72       coffee-script-source
73       execjs
74     coffee-script-source (1.12.2)
75     composite_primary_keys (10.0.1)
76       activerecord (~> 5.1.0)
77     concurrent-ruby (1.0.5)
78     coveralls (0.8.21)
79       json (>= 1.8, < 3)
80       simplecov (~> 0.14.1)
81       term-ansicolor (~> 1.3)
82       thor (~> 0.19.4)
83       tins (~> 1.6)
84     crack (0.4.3)
85       safe_yaml (~> 1.0.0)
86     crass (1.0.3)
87     dalli (2.7.6)
88     docile (1.1.5)
89     dynamic_form (1.1.4)
90     erubi (1.7.0)
91     execjs (2.7.0)
92     exifr (1.3.2)
93     factory_bot (4.8.2)
94       activesupport (>= 3.0.0)
95     factory_bot_rails (4.8.2)
96       factory_bot (~> 4.8.2)
97       railties (>= 3.0.0)
98     faraday (0.12.2)
99       multipart-post (>= 1.2, < 3)
100     ffi (1.9.18)
101     fspath (3.1.0)
102     geoip (1.6.3)
103     globalid (0.4.1)
104       activesupport (>= 4.2.0)
105     hashdiff (0.3.7)
106     hashie (3.5.6)
107     htmlentities (4.3.4)
108     http_accept_language (2.0.5)
109     i18n (0.9.1)
110       concurrent-ruby (~> 1.0)
111     i18n-js (3.0.2)
112       i18n (~> 0.6, >= 0.6.6)
113     image_optim (0.26.0)
114       exifr (~> 1.2, >= 1.2.2)
115       fspath (~> 3.0)
116       image_size (~> 1.5)
117       in_threads (~> 1.3)
118       progress (~> 3.0, >= 3.0.1)
119     image_optim_rails (0.4.1)
120       image_optim (~> 0.24)
121       rails
122       sprockets
123     image_size (1.5.0)
124     in_threads (1.5.0)
125     jquery-rails (4.3.1)
126       rails-dom-testing (>= 1, < 3)
127       railties (>= 4.2.0)
128       thor (>= 0.14, < 2.0)
129     jshint (1.5.0)
130       execjs (>= 1.4.0)
131       multi_json (~> 1.0)
132       therubyracer (~> 0.12.1)
133     json (2.1.0)
134     jsonify (0.3.1)
135       multi_json (~> 1.0)
136     jsonify-rails (0.3.2)
137       actionpack
138       jsonify (< 0.4.0)
139     jwt (1.5.6)
140     kgio (2.11.0)
141     libv8 (3.16.14.19)
142     libxml-ruby (3.0.0)
143     listen (3.1.5)
144       rb-fsevent (~> 0.9, >= 0.9.4)
145       rb-inotify (~> 0.9, >= 0.9.7)
146       ruby_dep (~> 1.2)
147     logstash-event (1.2.02)
148     logstasher (1.2.2)
149       activesupport (>= 4.0)
150       logstash-event (~> 1.2.0)
151       request_store
152     loofah (2.1.1)
153       crass (~> 1.0.2)
154       nokogiri (>= 1.5.9)
155     mail (2.7.0)
156       mini_mime (>= 0.1.1)
157     method_source (0.9.0)
158     mime-types (3.1)
159       mime-types-data (~> 3.2015)
160     mime-types-data (3.2016.0521)
161     mimemagic (0.3.0)
162     mini_mime (1.0.0)
163     mini_portile2 (2.3.0)
164     minitest (5.10.3)
165     multi_json (1.12.2)
166     multi_xml (0.6.0)
167     multipart-post (2.0.0)
168     nio4r (2.1.0)
169     nokogiri (1.8.1)
170       mini_portile2 (~> 2.3.0)
171     nokogumbo (1.4.13)
172       nokogiri
173     oauth (0.4.7)
174     oauth-plugin (0.5.1)
175       multi_json
176       oauth (~> 0.4.4)
177       oauth2 (>= 0.5.0)
178       rack
179     oauth2 (1.4.0)
180       faraday (>= 0.8, < 0.13)
181       jwt (~> 1.0)
182       multi_json (~> 1.3)
183       multi_xml (~> 0.5)
184       rack (>= 1.2, < 3)
185     omniauth (1.7.1)
186       hashie (>= 3.4.6, < 3.6.0)
187       rack (>= 1.6.2, < 3)
188     omniauth-facebook (4.0.0)
189       omniauth-oauth2 (~> 1.2)
190     omniauth-github (1.3.0)
191       omniauth (~> 1.5)
192       omniauth-oauth2 (>= 1.4.0, < 2.0)
193     omniauth-google-oauth2 (0.5.2)
194       jwt (~> 1.5)
195       multi_json (~> 1.3)
196       omniauth (>= 1.1.1)
197       omniauth-oauth2 (>= 1.3.1)
198     omniauth-mediawiki (0.0.3)
199       jwt (~> 1.0)
200       omniauth-oauth (~> 1.0)
201     omniauth-oauth (1.1.0)
202       oauth
203       omniauth (~> 1.0)
204     omniauth-oauth2 (1.4.0)
205       oauth2 (~> 1.0)
206       omniauth (~> 1.2)
207     omniauth-openid (1.0.1)
208       omniauth (~> 1.0)
209       rack-openid (~> 1.3.1)
210     omniauth-windowslive (0.0.12)
211       multi_json (~> 1.12)
212       omniauth-oauth2 (~> 1.4)
213     openstreetmap-deadlock_retry (1.3.0)
214     paperclip (4.3.7)
215       activemodel (>= 3.2.0)
216       activesupport (>= 3.2.0)
217       cocaine (~> 0.5.5)
218       mime-types
219       mimemagic (= 0.3.0)
220     parallel (1.12.0)
221     parser (2.4.0.2)
222       ast (~> 2.3)
223     pg (0.21.0)
224     poltergeist (1.16.0)
225       capybara (~> 2.1)
226       cliver (~> 0.3.1)
227       websocket-driver (>= 0.2.0)
228     powerpack (0.1.1)
229     progress (3.4.0)
230     psych (2.2.4)
231     public_suffix (3.0.1)
232     puma (3.11.0)
233     r2 (0.2.7)
234     rack (2.0.3)
235     rack-cors (1.0.2)
236     rack-openid (1.3.1)
237       rack (>= 1.1.0)
238       ruby-openid (>= 2.1.8)
239     rack-test (0.7.0)
240       rack (>= 1.0, < 3)
241     rack-uri_sanitizer (0.0.2)
242     rails (5.1.4)
243       actioncable (= 5.1.4)
244       actionmailer (= 5.1.4)
245       actionpack (= 5.1.4)
246       actionview (= 5.1.4)
247       activejob (= 5.1.4)
248       activemodel (= 5.1.4)
249       activerecord (= 5.1.4)
250       activesupport (= 5.1.4)
251       bundler (>= 1.3.0)
252       railties (= 5.1.4)
253       sprockets-rails (>= 2.0.0)
254     rails-controller-testing (1.0.2)
255       actionpack (~> 5.x, >= 5.0.1)
256       actionview (~> 5.x, >= 5.0.1)
257       activesupport (~> 5.x)
258     rails-dom-testing (2.0.3)
259       activesupport (>= 4.2.0)
260       nokogiri (>= 1.6)
261     rails-html-sanitizer (1.0.3)
262       loofah (~> 2.0)
263     rails-i18n (4.0.2)
264       i18n (~> 0.6)
265       rails (>= 4.0)
266     railties (5.1.4)
267       actionpack (= 5.1.4)
268       activesupport (= 5.1.4)
269       method_source
270       rake (>= 0.8.7)
271       thor (>= 0.18.1, < 2.0)
272     rainbow (2.2.2)
273       rake
274     rake (12.3.0)
275     rb-fsevent (0.10.2)
276     rb-inotify (0.9.10)
277       ffi (>= 0.5.0, < 2)
278     record_tag_helper (1.0.0)
279       actionview (~> 5.x)
280     redcarpet (3.4.0)
281     ref (2.0.0)
282     request_store (1.3.2)
283     rinku (2.0.3)
284     rotp (3.3.0)
285     rubocop (0.51.0)
286       parallel (~> 1.10)
287       parser (>= 2.3.3.1, < 3.0)
288       powerpack (~> 0.1)
289       rainbow (>= 2.2.2, < 3.0)
290       ruby-progressbar (~> 1.7)
291       unicode-display_width (~> 1.0, >= 1.0.1)
292     ruby-openid (2.7.0)
293     ruby-progressbar (1.9.0)
294     ruby_dep (1.5.0)
295     safe_yaml (1.0.4)
296     sanitize (4.5.0)
297       crass (~> 1.0.2)
298       nokogiri (>= 1.4.4)
299       nokogumbo (~> 1.4.1)
300     sass (3.5.3)
301       sass-listen (~> 4.0.0)
302     sass-listen (4.0.0)
303       rb-fsevent (~> 0.9, >= 0.9.4)
304       rb-inotify (~> 0.9, >= 0.9.7)
305     sass-rails (5.0.7)
306       railties (>= 4.0.0, < 6)
307       sass (~> 3.1)
308       sprockets (>= 2.8, < 4.0)
309       sprockets-rails (>= 2.0, < 4.0)
310       tilt (>= 1.1, < 3)
311     secure_headers (5.0.3)
312       useragent (>= 0.15.0)
313     simplecov (0.14.1)
314       docile (~> 1.1.0)
315       json (>= 1.8, < 3)
316       simplecov-html (~> 0.10.0)
317     simplecov-html (0.10.2)
318     sprockets (3.7.1)
319       concurrent-ruby (~> 1.0)
320       rack (> 1, < 3)
321     sprockets-rails (3.2.1)
322       actionpack (>= 4.0)
323       activesupport (>= 4.0)
324       sprockets (>= 3.0.0)
325     term-ansicolor (1.6.0)
326       tins (~> 1.0)
327     therubyracer (0.12.3)
328       libv8 (~> 3.16.14.15)
329       ref
330     thor (0.19.4)
331     thread_safe (0.3.6)
332     tilt (2.0.8)
333     tins (1.16.0)
334     tzinfo (1.2.4)
335       thread_safe (~> 0.1)
336     uglifier (3.2.0)
337       execjs (>= 0.3.0, < 3)
338     unicode-display_width (1.3.0)
339     useragent (0.16.8)
340     validates_email_format_of (1.6.3)
341       i18n
342     vendorer (0.1.16)
343     webmock (3.1.1)
344       addressable (>= 2.3.6)
345       crack (>= 0.3.2)
346       hashdiff
347     websocket-driver (0.6.5)
348       websocket-extensions (>= 0.1.0)
349     websocket-extensions (0.1.3)
350     xpath (2.1.0)
351       nokogiri (~> 1.3)
352
353 PLATFORMS
354   ruby
355
356 DEPENDENCIES
357   SystemTimer (>= 1.1.3)
358   actionpack-page_caching
359   annotate
360   autoprefixer-rails
361   bigdecimal (~> 1.1.0)
362   canonical-rails
363   capybara (~> 2.13)
364   coffee-rails (~> 4.2)
365   composite_primary_keys (~> 10.0.0)
366   coveralls
367   dalli
368   dynamic_form
369   factory_bot_rails
370   faraday
371   geoip
372   htmlentities
373   http_accept_language (~> 2.0.0)
374   i18n-js (>= 3.0.0)
375   image_optim_rails
376   jquery-rails
377   jshint
378   json
379   jsonify-rails
380   kgio
381   libxml-ruby (>= 2.0.5)
382   listen
383   logstasher
384   minitest (~> 5.1)
385   oauth-plugin (>= 0.5.1)
386   omniauth
387   omniauth-facebook
388   omniauth-github
389   omniauth-google-oauth2 (>= 0.2.7)
390   omniauth-mediawiki (>= 0.0.3)
391   omniauth-openid
392   omniauth-windowslive
393   openstreetmap-deadlock_retry (>= 1.3.0)
394   paperclip (~> 4.0)
395   pg
396   poltergeist
397   psych
398   puma (~> 3.7)
399   r2 (~> 0.2.7)
400   rack-cors
401   rack-uri_sanitizer
402   rails (= 5.1.4)
403   rails-controller-testing
404   rails-i18n (~> 4.0.0)
405   record_tag_helper
406   redcarpet
407   rinku (>= 1.2.2)
408   rotp
409   rubocop
410   sanitize
411   sass-rails (~> 5.0)
412   secure_headers
413   uglifier (>= 1.3.0)
414   validates_email_format_of (>= 1.5.1)
415   vendorer
416   webmock
417
418 BUNDLED WITH
419    1.15.4